
#ifndef elec_task_slot_h__
#define elec_task_slot_h__

#include "board.h"

#pragma pack (1)
typedef struct{
  uint8_t slot_index;
  uint8_t task_id;
  uint8_t par_count;// 参数个数
  uint8_t ret_count;// 返回值个数
  uint8_t errcode;
  uint8_t params[20];
  uint8_t rets[20];
}task_def;
#pragma pack ()

void *task_slot_init(void);

int task_slot_add_item(void *context,task_def *item);

task_def *task_slot_next(void *context,uint8_t slot_index);

int task_slot_add_err(void *context,uint8_t err);


#endif


